﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="VSLive.WebParts.Common" Namespace="VSLive.WebParts.Common"
    TagPrefix="bdc" %>



<%@ Register Src="Controls/CurrentTime.ascx" TagName="CurrentTime" TagPrefix="uc1" %>
<%@ Register Src="Controls/News.ascx" TagName="News" TagPrefix="uc2" %>
<%@ Register Src="Controls/StockQuote.ascx" TagName="StockQuote" TagPrefix="uc3" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
    <link href="StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:WebPartManager ID="m_manager" runat="server">
            <Personalization InitialScope="Shared" />
        </asp:WebPartManager>
        <asp:LinkButton ID="m_webPartMode" runat="server" OnClick="m_webPartMode_Click">Toggle Display Mode</asp:LinkButton><br />
    
    </div>
    <table>
        <tr>
        <td><asp:WebPartZone ID="WebPartZone1" runat="server" BorderColor="#CCCCCC" Font-Names="Verdana" Padding="6">
            <PartChromeStyle BackColor="#EFF3FB" BorderColor="#D1DDF1" Font-Names="Verdana" ForeColor="#333333" />
            <MenuLabelHoverStyle ForeColor="#D1DDF1" />
            <EmptyZoneTextStyle Font-Size="0.8em" />
            <MenuLabelStyle ForeColor="White" />
            <MenuVerbHoverStyle BackColor="#EFF3FB" BorderColor="#CCCCCC" BorderStyle="Solid"
                BorderWidth="1px" ForeColor="#333333" />
            <HeaderStyle Font-Size="0.7em" ForeColor="#CCCCCC" HorizontalAlign="Center" />
            <MenuVerbStyle BorderColor="#507CD1" BorderStyle="Solid" BorderWidth="1px" ForeColor="White" />
            <PartStyle Font-Size="0.8em" ForeColor="#333333" />
            <TitleBarVerbStyle Font-Size="0.6em" Font-Underline="False" ForeColor="White" />
            <MenuPopupStyle BackColor="#507CD1" BorderColor="#CCCCCC" BorderWidth="1px" Font-Names="Verdana"
                Font-Size="0.6em" />
            <PartTitleStyle BackColor="#507CD1" Font-Bold="True" Font-Size="0.8em" ForeColor="White" />
        </asp:WebPartZone>
        </td>
        <td>
            <bdc:CustomWebPartZone ID="CustomWebPartZone1" runat='server'>
            <LayoutTemplate>
                <fieldset>
                <table border="0">
                    
                    <tr>
                        <td>%%VERB_MINIMIZE%% -- %%TITLE%%</td>
                        <td>%%VERB_CLOSE%%</td>
                    </tr>
                    <tr>
                        <td colspan="2">%%VERB_MENU%%</td>
                    </tr>
                    <tr>
                        <td colspan="2">%%WEBPART_CONTENT%%</td>
                    </tr>
                </table>
                </fieldset>
            </LayoutTemplate>
                <LayoutVerbTemplate> ~ %%LINK_BUTTON%% ~ </LayoutVerbTemplate>
            </bdc:CustomWebPartZone>
        </td>
        </tr>
    </table>
        <asp:CatalogZone ID="CatalogZone1" runat="server">
            <ZoneTemplate>
                <asp:DeclarativeCatalogPart ID="DeclarativeCatalogPart1" runat="server">
                    <WebPartsTemplate>
                        <uc1:CurrentTime ID="CurrentTime1" runat="server" />
                        <uc2:News ID="News1" runat="server" />
                        <uc3:StockQuote ID="StockQuote1" runat="server" />
                    </WebPartsTemplate>
                </asp:DeclarativeCatalogPart>
            </ZoneTemplate>
        </asp:CatalogZone>
        
        
    </form>
</body>
</html>
